<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <title>Tiket</title>
</head>

<body>
  <div class="container">
    <h1>Tiket</h1>
    <br>
    <table class="table" id="tiket_table">
      <thead>
        <tr>
          <th scope="col">No.</th>
          <th scope="col">Nomor Tiket</th>
          <th scope="col">Nama Penerima Vaksin</th>
          <th scope="col">Waktu Pelaksanaan</th>
          <th scope="col">Status Tiket</th>
          <th scope="col">Action</th>
        </tr>
      </thead>
      <tbody id="tiket_tbody">
        <tr id="row1">
          <th scope="row">1</th>
          <td>8806791877</td>
          <td>Brina Jorioz</td>
          <td>2021-01-10 07:26:42</td>
          <td>terdaftar</td>
          <td class="action-button" type="reset"><a class="details-button"
              href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a></td>
        </tr>
        <tr id="row2">
          <th scope="row">2</th>
          <td>6061437900</td>
          <td>Kitty Sleath</td>
          <td>2021-06-08 20:56:20</td>
          <td>terdaftar</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row3">
          <th scope="row">3</th>
          <td>8602059280</td>
          <td>Elysee Baldrey</td>
          <td>2021-09-16 20:50:34</td>
          <td>terdaftar</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row4">
          <th scope="row">4</th>
          <td>3534033329</td>
          <td>Elita Ditty</td>
          <td>2020-12-03 17:22:20</td>
          <td>siap vaksin</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row5">
          <th scope="row">5</th>
          <td>8543814243</td>
          <td>Janetta Henrych</td>
          <td>2020-10-29 16:10:11</td>
          <td>siap vaksin</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row6">
          <th scope="row">6</th>
          <td>2563787483</td>
          <td>Filide Behagg</td>
          <td>2021-04-08 22:46:39</td>
          <td>siap vaksin</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row7">
          <th scope="row">7</th>
          <td>6862327429</td>
          <td>Elliott Moff</td>
          <td>2020-11-20 04:02:31</td>
          <td>tak lolos screening</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row8">
          <th scope="row">8</th>
          <td>4796186820</td>
          <td>Brandie Crumbie</td>
          <td>2020-12-25 21:07:40</td>
          <td>tak lolos screening</td>
          <td class="action-button"><a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
          </td>
        </tr>
        <tr id="row9">
          <th scope="row">9</th>
          <td>3481682220</td>
          <td>Starlene Pleager</td>
          <td>2021-06-13 15:21:40</td>
          <td>selesai vaksin</td>
          <td class="action-button">
            <a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
            <a class="ubah-status" href="{% url 'ru_tiket:ru_tiket_update_form' %}">[Ubah Status]</a>
          </td>
        </tr>
        <tr id="row10">
          <th scope="row">10</th>
          <td>6058467594</td>
          <td>Lane Schirach</td>
          <td>2021-03-08 05:45:03</td>
          <td>selesai vaksin</td>
          <td class="action-button">
            <a class="details-button" href="{% url 'ru_tiket:ru_tiket_detail' %}">[Details]</a>
            <a class="ubah-status" href="{% url 'ru_tiket:ru_tiket_update_form' %}">[Ubah Status]</a>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
  integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script src="{% static 'js/script.js' %}"></script>

<!-- <script>
  $('.details-button').on('click', function(){
    var parent_id = $(this).parent().parent().attr('id');
    console.log(parent_id);
   })
</script> -->

</html>